import request from "@/utils/request"

// 获取客户端版本
export function versionCheck(data) {
    return request.post({
        url: '/acc/auth/version',
        data
    })
}

// 获取设备绑定状态
export function getBindStatus(data) {
    return request.post({
        url: '/acc/auth/status',
        data
    })
}

// 申请设备授权
export function authDeviceApply(data) {
    return request.post({
        url: '/acc/auth/apply',
        data
    })
}

// App绑定设备授权码
export function authInputCode(data) {
    return request.post({
        url: '/acc/auth/inputCode',
        data
    })
}


// 获取验证码
export function getVerifyCode(data) {
    return request.post({
        url: '/api/sendSms',
        data
    })
}

// 登录
export function login(data) {
    return request.post({
        url: '/acc/auth/login',
        data
    })
}

// 登出
export function logout(data) {
    return request.post({
        url: '/acc/auth/logout',
        data
    })
}
 
// 获取用户信息
export function getUserInfo(data) {
    return request.get({
        url: '/acc/profile/userInfo',
        data
    })
}

// 查询当前用户常用功能
export function getUserFavorite(data) {
    return request.post({
        url: '/acc/profile/favorite',
        data
    })
}